Package org.mariadb.jdbc.internal.util

## Class LogQueryTool

- java.lang.Object
- - org.mariadb.jdbc.internal.util.LogQueryTool

    public class LogQueryTool
    extends Object

### Constructor Summary

Constructors
`LogQueryTool()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `queryWithParams​(PrepareResult serverPrepareResult, ParameterHolder[] parameters, Options options)` Return exception message with query.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LogQueryTool

    public LogQueryTool()

### Method Detail

#### queryWithParams

    public static String queryWithParams​(PrepareResult serverPrepareResult,
                                         ParameterHolder[] parameters,
                                         Options options)

Return exception message with query.

Parameters:
  `serverPrepareResult` - prepare result
  `parameters` - query parameters
  `options` - options
Returns:
  exception message with query